{
  "format_version": "1.8.0",
  "render_controllers": {
    "controller.render.variant_spectre_cast_default": {
      "geometry": "Geometry.default",
      "materials": [ { "*": "Material.default" } ],
      "textures": [ "Texture.default" ]
    },
    "controller.render.variant_spectre_cast_barrier": {
      "geometry": "Geometry.barrier",
      "materials": [ { "*": "Material.barrier" } ],
      "textures": [ "Texture.barrier" ],
	  "uv_anim": {
	    "offset": [ "(Math.floor(query.life_time * 20.0) + query.frame_alpha) * -0.01", 0.0 ],
		"scale": [ 1.0, 1.0 ]
	  }
    }
  }
}